
TYPO3.TYPO3CR - Feature # 40623

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Node handling
Created: 2012-09-04 Assigned To: Karsten Dambekalns
Updated: 2012-09-05 Due date:
Subject: Add method to rename a node
Description

Using move methods it is possible to rename a node, but it is cumbersome to retain the position. A simple rename() seems much
better.

Associated revisions
Revision ef045d74 - 2012-09-05 09:57 - Karsten Dambekalns

[TASK] Make setPath() protected and recursive

This removes setPath() from the NodeInterface and ProxyNode. It is
now protected and works recursively by default, to ease moving and
renaming of nodes.

Change-Id: I59f27620873400045ca3fac1bb7918a224665671
Related: #40622
Related: #32298
Related: #40623

Revision dfa39cfb - 2012-09-05 10:00 - Karsten Dambekalns

[TASK] Add getParentPath() to NodeInterface

With this change getParentPath() is available not only on Node
but also on ProxyNode.

Change-Id: I172fbf9de6d0257977e188796649bce41c45ed75
Related: #40622
Related: #32298
Related: #40623

Revision de70f48d - 2012-09-05 12:13 - Karsten Dambekalns

[FEATURE] Add rename method to Node

This adds a rename() method to NodeInterface, Node and ProxyNode.

With this method a node can be renamed, sub nodes are taken care of as well.

Change-Id: I248bcf8c8eda5f3c6d940ded49e6dead39beae6f
Resolves: #40623
History
#1 - 2012-09-04 21:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14345

#2 - 2012-09-04 21:20 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2012-09-04 21:27 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14345

#4 - 2012-09-04 21:44 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14345

#5 - 2012-09-04 22:43 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14345

#6 - 2012-09-05 10:09 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14345

#7 - 2012-09-05 12:13 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14345

#8 - 2012-09-05 15:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:de70f48dbb71ac2c3a060065fee995399036738a.
